---
title: Create and update a loan
slug: apis/lending/create-and-update-loan
description: Create or modify a loan record using POST /Loan and PUT Loan/{id}.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2024-08-14T10:23:41.797Z
---

## POST /Loan and PUT /Loan/&#x7B;Id}

Use these calls to create and update a loan request in Arix.

:::hint{type="info"}
Request URL https\:// ... Post/Loan

Request URL https\:// ... Put/Loan/&#x7B;Id}

When you update a loan with `PUT/Loan`, use a `LoanUpdate` object. The attributes for a `LoanUpdate`object are the same as those used in the Loan object, when you call `POST/Loan`
:::

The API block below is the reference information for the API attributes you can use when you create a loan. They are the same attributes shown when you receive a response.&#x20;

:::hint{type="success"}
The same attributes are used for the update a loan request: `PUT /Loan/{Id}`
:::

## POST /Loan&#x20;

Use this call to create a loan request in Arix.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /Loan",
  "method": "POST",
  "url": "https://arixapisandbox.crbnj.net/Loan",
  "description": "Allows you to create a new loan by making an HTTP POST request to the specified URL. The request should include various details such as loan number, borrower information, loan amount, net funding, interest rate, and other relevant loan parameters. Additionally, the request can include information about different payment fields for rails.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "UO5lPxxAa6xBk3bcveBmm",
        "language": "curl",
        "code": "{\n  \"Loan\": {\n    \"LoanNumber\": {{loanNumber}},\n    \"IssuingBankId\": \"CRB\",\n    \"Platform\": \"string\",\n    \"LoanType\": 1,\n    \"NoteDate\": \"2019-12-31\",\n    \"BorrowerLastName\": Waters,\n    \"BorrowerFirstName\": Therese,\n    \"BorrowerDOB\": \"1986-12-31\",\n    \"BorrowerSSN\": {{borrowerSSN}},\n    \"BorrowerAddress\": {{borrowerAddress}},\n    \"BorrowerCity\": Davisshire,\n    \"BorrowerState\": {{borrowerState}},\n    \"BorrowerZip\": {{borrowerZip}},\n    \"LoanAmount\": 1500,\n    \"NetFunding\": 1300,\n    \"Rate\": 0.2,\n    \"APR\": \"10\",\n    \"BatchId\": \"string\",\n    \"BorrowerPhone\": 959-390-4893,\n    \"BorrowerEmail\": Mara.Howell@hotmail.com,\n    \"Amortization\": 0,\n    \"Term\": 36,\n    \"RateType\": 0,\n    \"PriorLoanFlag\": \"string\",\n    \"FICO\": 10,\n    \"FICODate\": \"2017-12-31\",\n    \"CreditGrade\": \"string\",\n    \"AssetClass\": 0,\n    \"LoanPurpose\": \"string\",\n    \"Investor\": \"string\",\n    \"Servicer\": \"string\",\n    \"ApplicationDate\": {{ApplicationDate}},\n    \"RegBDecisionDate\": {{RegBDecisionDate}},\n    \"PurchaseDate\": {{PurchaseDate}},\n    \"PaymentDueDate\": {{PaymentDueDate}},\n    \"ApprovedLoanAmount\": 0,\n    \"PeriodicPayment\": 0,\n    \"OriginationFee\": 100,\n    \"HomeownerFlag\": \"string\",\n    \"OpenCreditLines\": 0,\n    \"AnnualIncome\": 0,\n    \"CreditInquiries12months\": 0,\n    \"DQPast24months\": 0,\n    \"PublicRecordsOnFile\": 0,\n    \"EmploymentLength\": 0,\n    \"DebtUtilization\": 0,\n    \"TotalRevolvingDebt\": 0,\n    \"AccountsOpenedPast24months\": 0,\n    \"CollectionsExcludingMedical\": 0,\n    \"MonthsSinceLastRecord\": 0,\n    \"Employer\": \"string\",\n    \"DTI\": 0,\n    \"MLAFLAG\": \"string\",\n    \"MAPR\": \"string\",\n    \"ReceiverName\": \"string\",\n    \"SameDayFlag\": 0,\n    \"AddendaRecord\": \"string\",\n    \"CoBorrowerFirstName\": \"string\",\n    \"CoBorrowerLastName\": \"string\",\n    \"CoBorrowerDOB\": \"1986-12-31\",\n    \"CoBorrowerSSN\": \"string\",\n    \"CoBorrowerAddress\": \"string\",\n    \"CoBorrowerCity\": \"string\",\n    \"CoBorrowerState\": \"string\",\n    \"CoBorrowerZip\": \"string\",\n    \"CoBorrowerPhone\": \"string\",\n    \"CoBorrowerEmail\": \"string\",\n    \"CoBorrowerFICO\": 0,\n    \"MerchantName\": \"string\",\n    \"MerchantFee\": 0,\n    \"RefundAmount\": 0,\n    \"AdjustedLoanAmount\": 0,\n    \"AdjustedNetFunding\": 0,\n    \"AdjustedOriginationFee\": 0,\n    \"AdjustedCurrentMonthlyPayment\": 0,\n    \"RefundDate\": \"2017-12-31\",\n    \"AdjustedMerchantFee\": 0,\n    \"FinalPaymentDate\": {{FinalPaymentDate}},\n    \"FinalPayment\": 0,\n    \"FinanceCharge\": 0,\n    \"TotalPayments\": 0,\n    \"PPY\": 0,\n    \"PaymentFrequency\": 0,\n    \"StandardEntryTypeCode\": \"string\",\n    \"InterestAccrualMethodDays\": 0,\n    \"SubpoolId\": \"Moe83\",\n    \"Program\": \"DTM\",\n    \"Field1\": \"string\",\n    \"Field2\": \"string\",\n    \"Field3\": \"string\",\n    \"Field4\": \"string\",\n    \"Field5\": \"string\",\n    \"Field6\": \"string\",\n    \"Field7\": \"string\",\n    \"Field8\": \"string\",\n    \"Field9\": \"string\",\n    \"Field10\": \"string\",\n    \"Field11\": \"string\",\n    \"Field12\": \"string\",\n    \"Field13\": \"string\",\n    \"Field14\": \"string\",\n    \"Field15\": \"string\",\n    \"Field16\": \"string\",\n    \"Field17\": \"string\",\n    \"Field18\": \"string\",\n    \"Field19\": \"string\",\n    \"Field20\": \"string\",\n\t\"Rails\": [\n      {\n        \"ACHFields\": {\n          \"StandardEntryClassCode\": \"PPD\",\n          \"TransactionType\": \"push\",\n          \"ToRoutingNumber\": \"021214891\",\n          \"ToAccountType\": \"Checking\",\n          \"ToAccountName\": \"Anita Loan\",\n          \"ToAccountNumber\": \"9999999999\",\n          \"Description\": \"LoanFunds\"\n        },\n        \"RailType\": \"COSACH\",\n        \"Priority\": 1,\n        \"Amount\": 100\n        }\n    ]\n  }\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "UO5lPxxAa6xBk3bcveBmm"
  },
  "results": {
    "languages": [
      {
        "id": "g8CAxfjudx1EbndJOF8QN",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"Id\": \"bd054ec9-8598-497e-ac2d-ac5400bbbf3e\",\n    \"MPLId\": \"TST\",\n    \"Date\": \"/Date(1602674613963-0400)/\",\n    \"LoanNumber\": \"MZ-1afc220c66ed4ad\",\n    \"IssuingBankId\": \"CRB\",\n    \"Platform\": \"string\",\n    \"LoanType\": \"HFS\",\n    \"NoteDate\": \"/Date(1577768400000-0500)/\",\n    \"BorrowerLastName\": \"Emard\",\n    \"BorrowerFirstName\": \"Darrion\",\n    \"BorrowerDOB\": \"/Date(536389200000-0500)/\",\n    \"BorrowerSSN\": \"640517072\",\n    \"BorrowerAddress\": \"8652_VonRueden_Walks\",\n    \"BorrowerCity\": \"East\",\n    \"BorrowerState\": \"LV\",\n    \"BorrowerZip\": \"30878\",\n    \"LoanAmount\": 500,\n    \"NetFunding\": 1300,\n    \"Rate\": 0.05,\n    \"APR\": 10,\n    \"BatchId\": \"string\",\n    \"BorrowerPhone\": \"323-514-0396\",\n    \"BorrowerEmail\": \"Helga_Hoeger14@gmail.com\",\n    \"Amortization\": 0,\n    \"Term\": 36,\n    \"RateType\": 0,\n    \"PriorLoanFlag\": \"string\",\n    \"FICO\": 10,\n    \"FICODate\": \"/Date(1514696400000-0500)/\",\n    \"CreditGrade\": \"string\",\n    \"AssetClass\": 0,\n    \"LoanPurpose\": \"string\",\n    \"Investor\": \"string\",\n    \"Servicer\": \"string\",\n    \"ApplicationDate\": \"/Date(1602674613934-0400)/\",\n    \"RegBDecisionDate\": \"/Date(1602674613934-0400)/\",\n    \"PurchaseDate\": \"/Date(1602907200000-0400)/\",\n    \"PaymentDueDate\": \"/Date(1607922000000-0500)/\",\n    \"ApprovedLoanAmount\": 0,\n    \"PeriodicPayment\": 0,\n    \"OriginationFee\": 100,\n    \"HomeownerFlag\": \"string\",\n    \"OpenCreditLines\": 0,\n    \"AnnualIncome\": 0,\n    \"CreditInquiries12months\": 0,\n    \"DQPast24months\": 0,\n    \"PublicRecordsOnFile\": 0,\n    \"EmploymentLength\": 0,\n    \"DebtUtilization\": 0,\n    \"TotalRevolvingDebt\": 0,\n    \"AccountsOpenedPast24months\": 0,\n    \"CollectionsExcludingMedical\": 0,\n    \"MonthsSinceLastRecord\": 0,\n    \"Employer\": \"string\",\n    \"DTI\": 0,\n    \"MLAFLAG\": \"string\",\n    \"MAPR\": \"string\",\n    \"ReceiverName\": \"string\",\n    \"SameDayFlag\": 0,\n    \"AddendaRecord\": \"string\",\n    \"CoBorrowerFirstName\": \"string\",\n    \"CoBorrowerLastName\": \"string\",\n    \"CoBorrowerDOB\": \"/Date(536389200000-0500)/\",\n    \"CoBorrowerSSN\": \"string\",\n    \"CoBorrowerAddress\": \"string\",\n    \"CoBorrowerCity\": \"string\",\n    \"CoBorrowerState\": \"string\",\n    \"CoBorrowerZip\": \"string\",\n    \"CoBorrowerPhone\": \"string\",\n    \"CoBorrowerEmail\": \"string\",\n    \"CoBorrowerFICO\": 0,\n    \"MerchantName\": \"string\",\n    \"MerchantFee\": 0,\n    \"RefundAmount\": 0,\n    \"AdjustedLoanAmount\": 0,\n    \"AdjustedNetFunding\": 0,\n    \"AdjustedOriginationFee\": 0,\n    \"AdjustedCurrentMonthlyPayment\": 0,\n    \"RefundDate\": \"/Date(1514696400000-0500)/\",\n    \"AdjustedMerchantFee\": 0,\n    \"FinalPaymentDate\": \"/Date(1618372800000-0400)/\",\n    \"FinalPayment\": 0,\n    \"FinanceCharge\": 0,\n    \"TotalPayments\": 0,\n    \"PPY\": 0,\n    \"PaymentFrequency\": 0,\n    \"StandardEntryTypeCode\": \"string\",\n    \"InterestAccrualMethodDays\": 0,\n    \"SubpoolId\": \"Moe83\",\n    \"Program\": \"DTM\",\n    \"Field1\": \"string\",\n    \"Field2\": \"string\",\n    \"Field3\": \"string\",\n    \"Field4\": \"string\",\n    \"Field5\": \"string\",\n    \"Field6\": \"string\",\n    \"Field7\": \"string\",\n    \"Field8\": \"string\",\n    \"Field9\": \"string\",\n    \"Field10\": \"string\",\n    \"Field11\": \"string\",\n    \"Field12\": \"string\",\n    \"Field13\": \"string\",\n    \"Field14\": \"string\",\n    \"Field15\": \"string\",\n    \"Field16\": \"string\",\n    \"Field17\": \"string\",\n    \"Field18\": \"string\",\n    \"Field19\": \"string\",\n    \"Field20\": \"string\",\n    \"Rails\": [\n        {\n            \"ACHFields\": {\n                \"StandardEntryClassCode\": \"PPD\",\n                \"TransactionType\": \"push\",\n                \"ToRoutingNumber\": \"021214891\",\n                \"ToAccountType\": \"GL\",\n                \"ToAccountName\": \"Test\",\n                \"ToAccountNumber\": \"9999999999\",\n                \"Description\": \"Test\"\n            },\n            \"Id\": \"c208ac03-803a-4b94-96c2-ac5400bbbf3e\",\n            \"RailType\": \"COSACH\",\n            \"Priority\": 1,\n            \"Amount\": 300,\n            \"LoanId\": \"bd054ec9-8598-497e-ac2d-ac5400bbbf3e\",\n            \"MPLId\": \"TST\",\n            \"IssuingBankId\": \"CRB\",\n            \"IsFailed\": false,\n            \"LoanType\": \"Undefined\"\n        }\n    ]\n}"
      }
    ],
    "selectedLanguageId": "g8CAxfjudx1EbndJOF8QN"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "LoanNumber",
        "kind": "required",
        "type": "string",
        "description": "A customer generated loan number. Up to 100 characters.",
        "": "A customer generated loan number. Up to 100 characters."
      },
      {
        "name": "IssuingBankId",
        "kind": "required",
        "type": "string",
        "description": "The ID of the issuing bank. CRB, NHB or BRB.",
        "": "required"
      },
      {
        "name": "Platform",
        "kind": "required",
        "type": "string",
        "description": "The entity that is the intermediary between the customer and Cross River. 100 characters.",
        "": "Platform"
      },
      {
        "name": "LoanType",
        "kind": "required",
        "type": "string",
        "description": "Select from:\n1 - HFS (Hold For Sale)\n2 - LTHFS (Long Term Hold For Sale)\n4 - CRBRetained (Retained)\n",
        "": "required"
      },
      {
        "name": "NoteDate",
        "kind": "required",
        "type": "string",
        "description": "Date the borrower becomes obligated to pay the loan. Date can be the signing date or the funding date (dependent on the loan documents).\nThe format must be: yyyy-mm-dd.",
        "": "Date the borrower becomes obligated to pay the loan. Date can be the signing date or the funding date (dependent on the loan documents).\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "BorrowerLastName",
        "kind": "required",
        "type": "string",
        "description": "Borrower's last name. 80 characters.",
        "": "Borrower's last name. 80 characters."
      },
      {
        "name": "BorrowerFirstName",
        "kind": "required",
        "type": "string",
        "description": "Borrower's first name. 80 characters.",
        "": "Borrower's first name. 80 characters."
      },
      {
        "name": "BorrowerDOB",
        "kind": "required",
        "type": "string",
        "description": "Borrower's date of birth.\nThe format must be: yyyy-mm-dd.",
        "": "Borrower's date of birth.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "BorrowerSSN",
        "kind": "required",
        "type": "string",
        "description": "Borrower's Social Security Number.",
        "": "Borrower's Social Security Number."
      },
      {
        "name": "BorrowerAddress",
        "kind": "required",
        "type": "string",
        "description": "Borrower's address. 160 characters.",
        "": "Borrower's address. 160 characters."
      },
      {
        "name": "BorrowerCity",
        "kind": "required",
        "type": "string",
        "description": "Borrower's city of residence. 80 characters.",
        "": "Borrower's city of residence. 80 characters."
      },
      {
        "name": "BorrowerState",
        "kind": "required",
        "type": "string",
        "description": "Borrower's state of residence. 40 characters. Letter code.",
        "": "required"
      },
      {
        "name": "BorrowerZip",
        "kind": "required",
        "type": "string",
        "description": "Borrower's zip code. 20 digits.",
        "": "Borrower's zip code. 20 digits."
      },
      {
        "name": "LoanAmount",
        "kind": "required",
        "type": "number",
        "description": "Gross dollar amount requested.\nThis amount represents the sum of the origination fee plus (+) net funding amount.",
        "": "number"
      },
      {
        "name": "NetFunding",
        "kind": "required",
        "type": "number",
        "description": "Net dollar amount to be funded.",
        "": "Net dollar amount to be funded."
      },
      {
        "name": "Rate",
        "kind": "required",
        "type": "number",
        "description": "Interest rate, as a percent.",
        "": "Interest rate, as a percent."
      },
      {
        "name": "APR",
        "kind": "required",
        "type": "number",
        "description": "Annual percentage interest rate, as a percent.",
        "": "Annual percentage interest rate, as a percent."
      },
      {
        "name": "ServicingBankId",
        "kind": "optional",
        "type": "string",
        "description": "ID of the servicing bank.",
        "": "ID of the servicing bank."
      },
      {
        "name": "BorrowerPhone",
        "kind": "optional",
        "type": "string",
        "description": "Borrower's phone number.",
        "": "Borrower's phone number."
      },
      {
        "name": "BorrowerEmail",
        "kind": "optional",
        "type": "string",
        "description": "Borrower's email address. 100 characters.",
        "": "Borrower's email address. 100 characters."
      },
      {
        "name": "Amortization",
        "kind": "optional",
        "type": "integer",
        "description": "Number of payments at loan origination to pay off the loan.",
        "": "Number of payments at loan origination to pay off the loan."
      },
      {
        "name": "Term",
        "kind": "optional",
        "type": "integer",
        "description": "Number of months from loan origination to pay off the loan.",
        "": "integer"
      },
      {
        "name": "RateType",
        "kind": "optional",
        "type": "integer",
        "description": "1 - fixed\n2- floating\nOptional",
        "": "1 - fixed\n2- floating\nOptional"
      },
      {
        "name": "PriorLoanFlag",
        "kind": "optional",
        "type": "string",
        "description": "Whether the borrower took a loan with the platform in the past. 20 characters.\nY - yes\nN - no",
        "": "Whether the borrower took a loan with the platform in the past. 20 characters.\nY - yes\nN - no"
      },
      {
        "name": "FICO",
        "kind": "optional",
        "type": "integer",
        "description": "Borrower's 3-digit FICO score used for risk assessment.",
        "": "Borrower's 3-digit FICO score used for risk assessment."
      },
      {
        "name": "FICODate",
        "kind": "optional",
        "type": "string",
        "description": "Date FICO score was obtained.\nThe format must be: yyyy-mm-dd.",
        "": "Date FICO score was obtained.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "CreditGrade",
        "kind": "optional",
        "type": "string",
        "description": "Internal grade for loan or from credit policy. 20 characters.",
        "": "Internal grade for loan or from credit policy. 20 characters."
      },
      {
        "name": "AssetClass",
        "kind": "optional",
        "type": "integer",
        "description": "Reason for loan:\n1 - student\n2 - solar\n3 - debt consolidation\n4 - home improvement\n5 - POS (point of service)\n6 - medical\n7 - auto\n99 - other\nOptional",
        "": "Reason for loan:\n1 - student\n2 - solar\n3 - debt consolidation\n4 - home improvement\n5 - POS (point of service)\n6 - medical\n7 - auto\n99 - other\nOptional"
      },
      {
        "name": "LoanPurpose",
        "kind": "optional",
        "type": "string",
        "description": "Borrower's stated purpose for the loan. 500 characters.",
        "": "Borrower's stated purpose for the loan. 500 characters."
      },
      {
        "name": "Investor",
        "kind": "optional",
        "type": "string",
        "description": "Name of investor who will be purchasing the loan.\nLeave blank for loans retained by Cross River.\n300 characters.",
        "": "Name of investor who will be purchasing the loan.\nLeave blank for loans retained by Cross River.\n300 characters."
      },
      {
        "name": "Servicer",
        "kind": "optional",
        "type": "string",
        "description": "The entity that handles the servicing of your account, such as billing statements, notices. 100 characters.",
        "": "The entity that handles the servicing of your account, such as billing statements, notices. 100 characters."
      },
      {
        "name": "ApplicationDate",
        "kind": "optional",
        "type": "string",
        "description": "Date the borrower applied for the loan.\nThe format must be: yyyy-mm-dd.",
        "": "Date the borrower applied for the loan.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "RegBDecisionDate",
        "kind": "optional",
        "type": "string",
        "description": "Date the loan was approved.\nThe format must be: yyyy-mm-dd.\n",
        "": "Date the loan was approved.\nThe format must be: yyyy-mm-dd.\n"
      },
      {
        "name": "PurchaseDate",
        "kind": "optional",
        "type": "string",
        "description": "Date the lender or investor will purchase the loan from Cross River.\nThe format must be: yyyy-mm-dd.",
        "": "Date the lender or investor will purchase the loan from Cross River.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "PaymentDueDate",
        "kind": "optional",
        "type": "string",
        "description": "Date the first payment is due.\nThe format must be: yyyy-mm-dd.",
        "": "Date the first payment is due.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "ApprovedLoanAmount",
        "kind": "optional",
        "type": "number",
        "description": "Dollar amount the borrower was approved to borrow at the time of application. The amount can change before the final loan amount for reasons related to the borrower or lender.",
        "": "number"
      },
      {
        "name": "PeriodicPayment",
        "kind": "optional",
        "type": "number",
        "description": "Dollar amount of monthly payments.",
        "": "Dollar amount of monthly payments."
      },
      {
        "name": "OriginationFee",
        "kind": "optional",
        "type": "number",
        "description": "Charge to the borrower for the loan.",
        "": "Charge to the borrower for the loan."
      },
      {
        "name": "HomeownerFlag",
        "kind": "optional",
        "type": "string",
        "description": "Confirm if the borrower is a homeowner. 20 characters.\nYes or No.",
        "": "Confirm if the borrower is a homeowner. 20 characters.\nYes or No."
      },
      {
        "name": "OpenCreditLines",
        "kind": "optional",
        "type": "integer",
        "description": "Number of open credit lines.",
        "": "Number of open credit lines."
      },
      {
        "name": "AnnualIncome",
        "kind": "optional",
        "type": "integer",
        "description": "Borrower's annual income.",
        "": "integer"
      },
      {
        "name": "CreditInquiries12months",
        "kind": "optional",
        "type": "integer",
        "description": "Number of credit inquiries made on the borrower in the last 12 months.",
        "": "Number of credit inquiries made on the borrower in the last 12 months."
      },
      {
        "name": "DQPast24months",
        "kind": "optional",
        "type": "integer",
        "description": "Number of times the borrower has paid their loan late in the last 24 months on all accounts.",
        "": "integer"
      },
      {
        "name": "PublicRecordsOnFile",
        "kind": "optional",
        "type": "integer",
        "description": "Number of open public records, such as bankruptcy, tax liens or judgments.",
        "": "integer"
      },
      {
        "name": "EmploymentLength",
        "kind": "optional",
        "type": "integer",
        "description": "Number of years the borrower has been employed at their current job.",
        "": "integer"
      },
      {
        "name": "DebtUtilization",
        "kind": "optional",
        "type": "number",
        "description": "Percent of available credit used by borrower.",
        "": "number"
      },
      {
        "name": "TotalRevolvingDebt",
        "kind": "optional",
        "type": "number",
        "description": "Dollar amount of all revolving debt on the credit report.",
        "": "Dollar amount of all revolving debt on the credit report."
      },
      {
        "name": "AccountsOpenedPast24months",
        "kind": "optional",
        "type": "integer",
        "description": "Number of accounts the borrower opened in the last 24 months.",
        "": "Number of accounts the borrower opened in the last 24 months."
      },
      {
        "name": "CollectionsExcludingMedical",
        "kind": "optional",
        "type": "integer",
        "description": "Number of open collection accounts, not including collections for medical procedures.",
        "": "integer"
      },
      {
        "name": "MonthsSinceLastRecord",
        "kind": "optional",
        "type": "integer",
        "description": "This field indicates the number of months since the last active public record was on their credit report.\nA public record may indicate that a borrower stopped paying bills.",
        "": "integer"
      },
      {
        "name": "Employer",
        "kind": "optional",
        "type": "string",
        "description": "Name of empower. 500 characters.",
        "": "Employer"
      },
      {
        "name": "DTI",
        "kind": "optional",
        "type": "number",
        "description": "Debt to Income Ratio.\nRatio of total monthly payment obligations divided by the monthly income as a decimal, not as a percent. It is calculated differently for each credit policy.\nIt must be submitted as a decimal. The decimal value should be between 0-300.\n",
        "": "Debt to Income Ratio.\nRatio of total monthly payment obligations divided by the monthly income as a decimal, not as a percent. It is calculated differently for each credit policy.\nIt must be submitted as a decimal. The decimal value should be between 0-300.\n"
      },
      {
        "name": "MLAFLAG",
        "kind": "optional",
        "type": "string",
        "description": "If the loan is being made to a covered borrower. 20 characters.\nYes or No.",
        "": "If the loan is being made to a covered borrower. 20 characters.\nYes or No."
      },
      {
        "name": "MAPR",
        "kind": "optional",
        "type": "string",
        "description": "20 characters.\nA standard calculation used by lenders for loans covered by the Department of Defense's Military Lending Act & Regulation Z.\nMAPR is required if MLAFLAG = Yes\nFor more information, see: https://www.fdic.gov/regulations/compliance/manual/5/V-13.1.pdf",
        "": "20 characters.\nA standard calculation used by lenders for loans covered by the Department of Defense's Military Lending Act & Regulation Z.\nMAPR is required if MLAFLAG = Yes\nFor more information, see: https://www.fdic.gov/regulations/compliance/manual/5/V-13.1.pdf"
      },
      {
        "name": "ReceiverName",
        "kind": "optional",
        "type": "string",
        "description": "Name of party receiving funds via ACH. 200 characters.",
        "": "Name of party receiving funds via ACH. 200 characters."
      },
      {
        "name": "SameDayFlag",
        "kind": "optional",
        "type": "integer",
        "description": "If the loan being funded via ACH or same-day ACH. (Same-day ACH requires set up by Cross River).",
        "": "If the loan being funded via ACH or same-day ACH. (Same-day ACH requires set up by Cross River)."
      },
      {
        "name": "AddendaRecord",
        "kind": "optional",
        "type": "string",
        "description": "Additional record used for information purposes. 80 characters.",
        "": "Additional record used for information purposes. 80 characters."
      },
      {
        "name": "CoBorrowerFirstName",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's first name. 80 characters.",
        "": "Coborrower's first name. 80 characters."
      },
      {
        "name": "CoBorrowerLastName",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's last name.  80 characters.",
        "": "CoBorrowerLastName"
      },
      {
        "name": "CoBorrowerDOB",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's date of birth.\nThe format must be: yyyy-mm-dd",
        "": "CoBorrowerDOB"
      },
      {
        "name": "CoBorrowerSSN",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's Social Security Number.",
        "": "Coborrower's Social Security Number."
      },
      {
        "name": "CoBorrowerAddress",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's address.  160 characters.",
        "": "Coborrower's address.  160 characters."
      },
      {
        "name": "CoBorrowerCity",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's city of residence.  80 characters.",
        "": "CoBorrowerCity"
      },
      {
        "name": "CoBorrowerState",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's State of residence.  40 characters.",
        "": "CoBorrowerState"
      },
      {
        "name": "CoBorrowerZip",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's zip code.  20 digits.",
        "": "CoBorrowerZip"
      },
      {
        "name": "CoBorrowerPhone ",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's phone number.  20 digits.",
        "": "CoBorrowerPhone "
      },
      {
        "name": "CoBorrowerEmail",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's email address.  100 characters.",
        "": "CoBorrowerEmail"
      },
      {
        "name": "CoBorrowerFICO",
        "kind": "optional",
        "type": "string",
        "description": "Coborrower's FICO score.",
        "": "Coborrower's FICO score."
      },
      {
        "name": "MerchantName",
        "kind": "optional",
        "type": "string",
        "description": "Merchant's name.  200 characters.",
        "": "MerchantName"
      },
      {
        "name": "MerchantFee",
        "kind": "optional",
        "type": "number",
        "description": "Dollar amount paid to merchant.",
        "": "Dollar amount paid to merchant."
      },
      {
        "name": "RefundAmount",
        "kind": "optional",
        "type": "string",
        "description": "Refund amount.",
        "": "Refund amount."
      },
      {
        "name": "RefundDate",
        "kind": "optional",
        "type": "string",
        "description": "Refund date.\nThe format must be: yyyy-mm-dd.",
        "": "Refund date.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "FinalPaymentDate",
        "kind": "optional",
        "type": "string",
        "description": "Date due for final loan payment.\nThe format must be: yyyy-mm-dd.",
        "": "Date due for final loan payment.\nThe format must be: yyyy-mm-dd."
      },
      {
        "name": "FinalPayment",
        "kind": "optional",
        "type": "number",
        "description": "Dollar amount of final payment.",
        "": "Dollar amount of final payment."
      },
      {
        "name": "FinanceCharge",
        "kind": "optional",
        "type": "number",
        "description": "Finance charge paid by the borrower.",
        "": "Finance charge paid by the borrower."
      },
      {
        "name": "TotalPayments",
        "kind": "optional",
        "type": "number",
        "description": "Total paid by the borrower after all the payments were made.",
        "": "Total paid by the borrower after all the payments were made."
      },
      {
        "name": "PPY",
        "kind": "optional",
        "type": "number",
        "description": "Number of payments per year.",
        "": "Number of payments per year."
      },
      {
        "name": "PaymentFrequency",
        "kind": "optional",
        "type": "integer",
        "description": "Frequency of payments:\n1 - weekly\n2 - semi-monthly\n3 - monthly\n4 - bi-monthly\n5 - other\n6 - bi-weekly",
        "": "PaymentFrequency"
      },
      {
        "name": "StandardEntryTypeCode",
        "kind": "optional",
        "type": "string",
        "description": "PPD - consumer accounts.\nCCD - corporate accounts.\n20 characters.",
        "": "PPD - consumer accounts.\nCCD - corporate accounts.\n20 characters."
      },
      {
        "name": "InterestAccrualMethodDays",
        "kind": "optional",
        "type": "integer",
        "description": "365 (days).",
        "": "365 (days)."
      },
      {
        "name": "SubpoolId",
        "kind": "optional",
        "type": "string",
        "description": "ID of the subpool that the loan belongs to. 100 characters.",
        "": "ID of the subpool that the loan belongs to. 100 characters."
      },
      {
        "name": "Program",
        "kind": "optional",
        "type": "string",
        "description": "MPL defined program that the loan belongs to. 100 characters.",
        "": "Program"
      },
      {
        "name": "Field1",
        "kind": "required",
        "type": "string",
        "description": "Reserved for submitter's IP address\nUp to 5000 characters.\n",
        "": "Reserved for submitter's IP address\nUp to 5000 characters.\n"
      },
      {
        "name": "Field2 ",
        "kind": "required",
        "type": "string",
        "description": "Reserved for JSON. Up to 5000 characters.\n\"{  \n   \"\"OFAC decision\"\":\"\"True|False\"\",  \n   \"\"OFAC decision source\"\":\"\"\"\"  \n}\"\n",
        "": "required"
      },
      {
        "name": "Field3",
        "kind": "required",
        "type": "string",
        "description": "Reserved for . Up to 5000 characters.\nSee standard JSON format below.   ",
        "": "Reserved for . Up to 5000 characters.\nSee standard JSON format below.   "
      },
      {
        "name": "Field4",
        "kind": "required",
        "type": "string",
        "description": "Reserved for loan agreement version.\nUp to 5,000 characters.\n",
        "": "Reserved for loan agreement version.\nUp to 5,000 characters.\n"
      },
      {
        "name": "Field5",
        "kind": "optional",
        "type": "string",
        "description": "Reserved for credit decisioning parameters.\nUp to 5,000 characters.\nRequired for any credit information requested by Cross River.\nSee standard JSON format below. \n",
        "": "Reserved for credit decisioning parameters.\nUp to 5,000 characters.\nRequired for any credit information requested by Cross River.\nSee standard JSON format below. \n"
      },
      {
        "name": "Field6",
        "kind": "optional",
        "type": "string",
        "description": "Required for business information.\nUp to 5,000 characters.\nSee standard JSON format below.\n",
        "": "Required for business information.\nUp to 5,000 characters.\nSee standard JSON format below.\n"
      },
      {
        "name": "Field7",
        "kind": "optional",
        "type": "string",
        "description": "Required for business owner Information.\nCollect information on controlling person and business owners who own 25% or more.\nFor SBA loans the threshold is 20%.\nUp to 5,000 characters.\nSee standard JSON format below.",
        "": "Required for business owner Information.\nCollect information on controlling person and business owners who own 25% or more.\nFor SBA loans the threshold is 20%.\nUp to 5,000 characters.\nSee standard JSON format below."
      },
      {
        "name": "Field8",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field9",
        "kind": "optional",
        "type": "string",
        "description": "Reserved for fraud vendor raw response.\nUp to 5,000 characters.",
        "": "Reserved for fraud vendor raw response.\nUp to 5,000 characters."
      },
      {
        "name": "Field10",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Field10"
      },
      {
        "name": "Field11",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Field11"
      },
      {
        "name": "Field12",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field13",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Field13"
      },
      {
        "name": "Field14",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field15",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field16",
        "kind": "optional",
        "type": "string",
        "description": "Reserved for second look investors raw response.\nUp to 5,000 characters.",
        "": "Reserved for second look investors raw response.\nUp to 5,000 characters."
      },
      {
        "name": "Field17",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field18",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field19",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field20",
        "kind": "optional",
        "type": "string",
        "description": "Open field for text.\nUp to 5,000 characters.",
        "": "Open field for text.\nUp to 5,000 characters."
      },
      {
        "name": "Field21",
        "kind": "optional",
        "type": "array",
        "description": "Optional addition of loan information.\nByte array in Base 64. byte [ ]. Up to 8,000 characters.\n",
        "": "Optional addition of loan information.\nByte array in Base 64. byte [ ]. Up to 8,000 characters.\n"
      },
      {
        "name": "Rails",
        "kind": "required",
        "type": "array",
        "description": "List {RailTransaction}.\nFor more details about rails: https://docs.crossriver.com/apis/lending/loan-funding-payment-rails",
        "": "List {RailTransaction}.\nFor more details about rails: https://docs.crossriver.com/apis/lending/loan-funding-payment-rails"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "Status",
      "kind": "optional",
      "type": "string",
      "description": "The status of a loan.  \nFor more details about rails: https://docs.crossriver.com/apis/lending/enums"
    },
    {
      "name": "TimeStamp",
      "kind": "optional",
      "type": "string",
      "description": "Timestamp of the update",
      "children": []
    },
    {
      "name": "Id",
      "kind": "optional",
      "type": "number",
      "description": "Unique identifier for the loan. GUID",
      "children": []
    },
    {
      "name": "MPLId",
      "kind": "optional",
      "type": "string",
      "description": "ID of the MPL.",
      "children": []
    },
    {
      "name": "Date",
      "kind": "optional",
      "type": "string",
      "description": "Date of the transaction",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-loan",
  "legacyHash": "kpARf4czZn_W2EdKLgt-n"
}
```
:::

## Field 3 CIP

```json
"{    
    "CIP Decision": "NonDocumentary, Documentary,Other",  
    "CIP Vendors used": {  
      "CIP KYC vendor": "Socure",  
      "CIP bank account vendor": "Plaid"  
    },  
    "CIP Documents used": {  
      "CIP Document": "Driving license",  
      "CIP Seconday Document": "Utility Bill"  
    },  
    "CIP Verification used": {  
      "OCR": "Mitek",  
      "Fraud": "Experian Fraud",  
      "Phone number": "White pages"  
    }  
  },  
  "CIPCollectionMethod": {  
    "Name": "FromCustomerviaApplication|FromCustomerviaLeadGenerator|FromExternalSource",  
    "Address": "FromCustomerviaApplication|FromCustomerviaLeadGenerator|FromExternalSource",  
    "DOB": "FromCustomerviaApplication|FromCustomerviaLeadGenerator|FromExternalSource",  
    "SSN": "FromCustomerviaApplication|FromCustomerviaLeadGenerator|FromExternalSource",  
    "CIPCollectionMethodExternalSource": "CreditReport - this field is required if the method of collection is from an external source; CreditReport is an example"  
  }, "TaxNumber":"SSN|ITIN"  
}"  
```

## Field 5 Credit Decisioning

```json
{
   "ApplicationId":"Unique applicationId, generated by the partner",
   "RevolvingLineFirstAppearance":"yes/no",
   "RevolvingLineGUID":"ID From Origination/First Appearance",
   "RevolvingLineBalanceAsOfWhenCallingCRB":"",
   "FloridaStampTaxCollectedFromCustomer":"Y/N",
   "FloridaStampTaxAmount":"0.00",
   "FloridaStampTaxRateUsed":"0.0035",
   "DMVFeeAmount":"0.00",
   "DiscountedLoan":"Y|N",
   "Purchase discount":"N%",
   "PurchaseDiscountAmount":"0.00",
   "PremiumFee":"0.00",
   "CreditBureau":"TU|Experian|Equifax|Innovis|Other",
   "CreditPolicyVersion":"v1.0",
   "CreditModelVersion":"v1.0",
   "CreditModelVersion_2ndmodel":"v1.0",
   "CreditModelVersion_3rdmodel":"v1.0",
   "CreditUnderwritingRulesVersion":"v1.0",
   "CreditModelVersion_Score":"100",
   "CreditModelVersion_2ndmodel_Score":"100",
   "CreditModelVersion_3rdmodel_Score":"100",
   "PricingPolicyVersion":"v1.0",
   "BypassRuleChecking":"True|False",
   "CRBIssuingBranch":"NJ|DE"
}
```

## Field 6 Standard Format (Business)

```json
{
    "name": "business name",
    "tin": "EIN/SSN",
    "incDate": "2008-01-01",
    "stateIncorp": "AZ",
    "countryDomicile": "US",
    "phone": "4805477526",
    "email": "business email",
    "address": "business address",
        "city": "business city",
    "state": "business state",
    "zipCode": "business zip",
    "physicalAddress": "the complete physical address of the business if different to the business address. Cannot be PO Box or TBD",
         "payroll": "Average monthly payroll",
    "businessType": "Business Entity Type - Sole proprietor,Partnership, C-Corp, S-Corp, LLC, Independent contractor, Eligible self-employed individual,501(c)(3) nonprofit, 501(c)(19) veterans organization, Tribal business (sec. 31(b)(2)(C) of Small Business Act), Other",
    "businessPurpose": "Business purpose / description",
    "industry": "xxx",
    "naicsCode": "xxx",
    "franchise": "Yes/No",
    "RegisteredTradingNames": "",
    "ProductServicesOffered": "",
    "InsuranceType": "",
    "AuthorisedSignatory": "",
    "AuthorisedSignatoryVerificationMethod": "",
    "BusinessLicenseInformation": "",
    "BusinessWebSiteVerification": "Yes|No",
    "BusinessAnnualTurnOver": "Gross Annual Revenue, cannot be null",
    "BusinessPricingDetails": {
        "pricingTier2": "",
    "pricingTier3": ""
    },
    "BusinessCreditLimit": {
        "ConsumerCreditLimit": "",
        "DailyCreditLimit": "",
        "BusinessApprovalException": "Y|N"
    }
}
```

## Field 7 Standard Format (Business Owners/Principals)

```json
[
    {
        "name": "owner Name",
        "ownershipPer": 24,
        "tin": "SSN|EIN|TIN",
        "address": "owner address",
        "city": "owner city",
        "state": "ownerstate",
        "zipCode": "owner zip",
        "dob": "YYYY-MM-dd",
        "phone": "owner phone",
                "OwnerFico": 700,
        "CIP Decision": "NonDocumentary, Documentary,Other",
        "CIP Vendors used": {
            "CIP KYC vendor": "eg Socure",
            "CIP bank account vendor": "eg Plaid"
        },
        "CIP Documents used": {
            "CIP Document": "eg for a person a Driving license",
            "CIP Secondary Document": "eg for a person Utility Bill"
        },
        "OFAC decision":"True|False",
        "OFAC decision source":"",  
        "CIP Verification used": {
            "OCR": "eg Mitek",
            "Fraud": "eg Experian Fraud",
            "Phone number": "eg White pages",
            "type": "Owner | Control person",
            "citizenship": "US",
            "residencyType": "Permanent Resident Alien | Non-Immigrant Alien | Illegal Alien"
        }
    },
    {}
]
```

Any vendors noted above are provided for illustration only.

:::hint{type="warning"}
**IMPORTANT**
When you add a date field in a request, the format must be: yyyy-mm-dd.
These fields include BorrowerDOB and FICODate and must be in this format: 1970-12-05
:::



